%define name 	gnome-commander
%define version 1.2.8.10
%define release %mkrel 1

Summary: A Gnome filemanager similar to the Norton Commander(TM) 
Name:	 %{name}
Version: %{version}
Release: %{release}
URL: 	 http://www.freesoftware.fsf.org/gcmd/
Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Patch0:  gnome-commander-1.2.8.5-fix-str-fmt.patch
License: GPL
Group: 	File tools
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui2-devel 
BuildRequires: gnome-vfs2-devel
BuildRequires: python-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool >= 0.35
BuildRequires: gettext
BuildRequires: perl-XML-Parser
BuildRequires: libxml2-devel
BuildRequires: GConf2-devel
BuildRequires: libpoppler-devel
BuildRequires: libexiv-devel
BuildRequires: libgsf-devel
BuildRequires: python-devel
BuildRequires: libgsf-devel
BuildRequires: lcms-devel
BuildRequires: libchm-devel
BuildRequires: taglib-devel
BuildRequires: perl-XML-Parser
BuildRequires: gnome-doc-utils 
BuildRequires: libxslt-proc
BuildRequires: libopenjpeg-devel
BuildRequires: flex 
BuildRequires: gnome-common
Requires:	libexiv2_9
Requires:	libpython2.6

%description
Gnome Commander is a filemanager that just like the classical Norton
commander (TM) lets you do everything with the keyboard. It can
perform all standard file operations and some extra features like ftp
support.

%prep
%setup -q
%patch0 -p1

%build
%define _disable_ld_no_undefined 1
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/*/*[_-]??.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done


rm -f %buildroot%_libdir/gnome-commander/*.a
rm -f %buildroot%_libdir/gnome-commander/plugins/*.a

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 pixmaps/%name.png %buildroot/%_liconsdir/%name.png
convert -scale 48 %buildroot/%_liconsdir/%name.png %buildroot/%_liconsdir/%name.png
install -m 644 pixmaps/%name.png %buildroot/%_iconsdir/%name.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m 644 pixmaps/%name.png %buildroot/%_miconsdir/%name.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png

chmod 644 %buildroot%_libdir/%name/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper
%{update_menus}

%postun
%clean_scrollkeeper
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog
%_bindir/gnome-commander
%_bindir/gcmd-block
%_libdir/gnome-commander/
%_datadir/pixmaps/*
%_datadir/applications/gnome-commander.desktop
%{_mandir}/man1/*
%{_datadir}/omf/gnome-commander/gnome-commander-C.omf
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Jan 31 2011 Texstar <texstar at gmail.com> 1.2.8.10-1pclos2011
- 1.2.8.10

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 1.2.8.7-2pclos2010
- rebuild python

* Thu Jul 29 2010 Texstar <texstar at gmail.com> 1.2.8.7-1pclos2010
- 1.2.8.7

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 1.2.8.6-2pclos2010
- rebuild for libexiv2_9
- add BR libopenjpeg-devel

* Tue Jun 01 2010 slick50 <lxgator@gmail.com> 1.2.8.6-1pclos2010
- 1.2.8.6

* Sat Feb 13 2010 slick50 <lxgator@gmail.com> 1.2.8.5-1pclos2010
- 1.2.8.5

* Fri Dec 05 2009 slick50 <lxgator@gmail.com> 1.2.8.4-1pclos2010
- 1.2.8.4

* Wed Oct 28 2009 slick50 <lxgator@gmail.com> 1.2.8.3-1pclos2010
- 1.2.8.3

* Tue Sep 22 2009 slick50 <lxgator@gmail.com> 1.2.8.2-1pclos2009
- 1.2.8.2

* Thu Aug 20 2009 Texstar <texstar@gmail.com> 1.2.8.1-2pclos2009
- rebuild

* Mon Aug 10 2009 slick50 <lxgator@gmail.com> 1.2.8.1-1pclos2009
- 1.2.8.1

* Mon Jun 29 2009 slick50 <lxgator@gmail.com> 1.2.8-1pclos2009
- 1.2.8

* Mon Jan 05 2009 don_crissti <don_crissti@gmx.com> 1.2.7-1pclos2007
- update against mdv package

* Sun Feb 25 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.2.3-2
- build for pclinuxos 2007

